Author Topic: OSOMX V3R3.11.x + MyPortal e upgrade di Java  (Read 4339 times)

0 Members and 1 Guest are viewing this topic.

Offline v.incenzo

  • Full Member
  • ***
  • Posts: 108
  • Karma: +0/-0
    • View Profile
OSOMX V3R3.11.x + MyPortal e upgrade di Java
« on: March 12, 2015, 07:33:25 pm »
Buonasera a tutti ho un problema con MyPOrtal e gli upgrade di Java

Il cliente ha due PC con Windows 7 64bit,

il primo PC ha Java 32bit 1.7.0 e My Portal funziona regolarmente,

il secondo PC ha Java 32bit 1.8.0 e da un errore riguardante DLL mancanti quando si lancia MyPortal..

Se da questo secondo PC disinstalla l'ultimo aggiornamento di Java, MyPortal riprende a funzionare

La service info di OSOMX V3 R3.12.1_010, alla pagina 16 riporta in un riquadro:

Java Runtime Environment (only 32bit)   

>= 1.6.31
>= 1.7.0.x
> 1.8.0.x  (1.8.0.x è scritto in blu perchè dovrebbe riferirsi a Windows 8.1 ? )

sinceramente non capisco cosa devo fare...

Grazie,

buonasera.

Offline Kimera

  • Global Moderator
  • Hero Member
  • ****
  • Posts: 1.196
  • Karma: +42/-3
  • Kimera (Ars Gratia Artis)
    • View Profile
    • SIEMENS Enterprise Wiki
Re: OSOMX V3R3.11.x + MyPortal e upgrade di Java
« Reply #1 on: March 12, 2015, 09:26:05 pm »
Non vedo il problema: SE il sistema di cui stai discutendo (come da titolo del tuo Post) è un OpenScape Office MX V3 R3.11.x (e quindi NON è un V3 R3.12.x) allora NON supporta Java RE 1.8 (a 32 bit) ma supporta Java RE 1.7 (a 32 bit).

Nella Release Note che citi (che è relativa al rilascio dell'OpenScape Office MX V3 R3.12.1 Bind 010), a differenza delle precedenti (prendine pure una a caso tra le ultime), hanno introdotto il supporto per Java RE 1.8 (a 32 bit) ed è in celeste la scritta forse per indicare che è una novità o una variazione (rispetto a Release Notes precedenti).

Tra le altre cose, ovviamente, sono cambiati anche gli OSO Clients:

OSO ClientMX V3 R3.11.0MX V3 R3.12.1
myPortal6.1.798B6.1.805C
myPortal for Outlook6.2.1.7986.2.1.805
myAttendant6.1.798B6.1.805C
myAgent6.2.1.798C6.2.1.805A
FAX Printer6.2.0.7986.2.1.805
Cover Page Editor6.2.0.7986.2.1.805
myReports6.2.156.2.19

Cosa puoi fare oppure cosa devi fare?

A mio parere (1) se sei "obbligato" ad usare, lato clients Microsoft Windows, Java RE 1.8 (a 32 bit) allora sei costretto a passare a OSO MX V3 R3.12.0 (GA o la prima Hot-Fix successiva disponibile) oppure (2) se non sei "obbligato" ad usare Java RE 1.8 (a 32 bit), se non ti obbliga il Cliente, allora puoi continuare ad usare l'OSO MX V3 R3.11.x a patto di utilizzare, lato clients Microsoft Windows, il Java RE 1.7 (a 32 bit).

Saluti, Kimera.
« Last Edit: March 12, 2015, 09:56:26 pm by Kimera »
(Ethical) Hackers are not just skilled, they are lucky people and they are persistent people. It's a combination of all three.
"Die Lösung ist immer einfach, man muss sie nur finden" Alexander Solschenizyn

I'm all for being a Partner, and a Professional. But if you want me to sell your products...you need to scratch my back a little too.

Offline Lucky

  • Hero Member
  • *****
  • Posts: 739
  • Karma: +14/-0
    • View Profile
Re: OSOMX V3R3.11.x + MyPortal e upgrade di Java
« Reply #2 on: March 12, 2015, 10:07:23 pm »
Aggiungerei come ultima possibilità installare entrambe le java ma realizzare un batch apposito per l' apertura del myportal con la java specifica.

Esempio comando in file batch: "C:\Program Files\Java\jre7\bin\javaw.exe" -jar "C:\Program Files\CommunicationsClients\myPortal\myPortal.jar"



Offline Kimera

  • Global Moderator
  • Hero Member
  • ****
  • Posts: 1.196
  • Karma: +42/-3
  • Kimera (Ars Gratia Artis)
    • View Profile
    • SIEMENS Enterprise Wiki
Re: OSOMX V3R3.11.x + MyPortal e upgrade di Java
« Reply #3 on: March 12, 2015, 10:57:13 pm »
Grande Lucky, sí c'è anche questa possibilitá...solo che (mentalmente) Io l'ho esclusa.

Perchè? ...perché, almeno dal punto di vista sistemistico (penso al sistemista che li segue), comporta (1) una operazione di personalizzazione nei Clients in più ed il fatto che (2) giá mantenere un ambiente Java RE é come cercare di tappare continuamente una falla di sicurezza (un client senza Java RE è meno "fallato" di un client con Java RE, sempre che quest'ultimo venga tenuto aggiornato)...pensare di farlo avendone ben due...é sinonimo di masochismo...soprattutto se non c'è un valido motivo operativo per essere costretti a farlo (se te lo impone il Cliente perchè ha particolari applicazioni che girano solo tramite Java RE 1.8 ).

Un'altra possibilità è quella di far coesistere Java RE 1.7 e Java RE 1.8...MA...tenere abilitato solo il Java RE 1.7 come ambiente Java RE di default...poi, solo allo specifico bisogno (a questo punto, mi pare, slegato dalla versione OSO MX V3 in uso), attivare Java RE 1.8 al posto di Java RE 1.7 per l'esecuzione di particolari jar files...ovviamente serviranno sempre due operazioni manuali (disattivazione Java RE 1.7 per attivazione Java RE 1.8 e successiva disattivazione 1.8 per tornare al 1.7).

Tutto dipende dal fatto se si è costretti o meno ad AVERE ed USARE Java RE 1.8 (occhio: a 32 bit ed aggiornato...pena problemi con qualsiasi OSO/OSB).

Se si è invece costretti a passare da OSO MX V3 R3.11 a V3 R3.12 per migliorare la stabilità del sistema (e ci mancherebbe!)...lo si può tranquillamente fare continuando ad utilizzare Java RE 1.7 (a 32 bit ed aggiornato) come ambiente Java RE "attivo" ed il problema, a questo punto, non si pone nemmeno.

Saluti, Kimera.

P.S.
Notare l'articolo della KB Unify ID 226416.
« Last Edit: March 13, 2015, 08:14:36 am by Kimera »
(Ethical) Hackers are not just skilled, they are lucky people and they are persistent people. It's a combination of all three.
"Die Lösung ist immer einfach, man muss sie nur finden" Alexander Solschenizyn

I'm all for being a Partner, and a Professional. But if you want me to sell your products...you need to scratch my back a little too.

Offline v.incenzo

  • Full Member
  • ***
  • Posts: 108
  • Karma: +0/-0
    • View Profile
Re: OSOMX V3R3.11.x + MyPortal e upgrade di Java
« Reply #4 on: March 25, 2015, 11:01:33 am »
Buongiorno a tutti,

problema risolto passando alla V3R3.12.x, avevo upgradato a R3.11 dal cliente perchè avevo il file su PC, poi ho impostato upgrade notturno alla R3.12.

Infatti,
la mattina che ho scritto

 il cliente ha provato MyP e funzionava, anche con Java 1.8.x.

Grazie.